com.aliyun.svideosdk.common.struct.effect

## Class EffectFilter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectFilter

-     public class EffectFilter
      extends EffectBase

  The video filter bean

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EffectFilter.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectFilter(Source source)` Creates an EffectFilter object
    `EffectFilter(java.lang.String path)` Deprecated. Replaced by `EffectFilter(Source)`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(EffectBase base)` Gets a copy of the parameters of an object.
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getDuration()` Deprecated.
    `EffectConfig` | `getEffectConfig()`
    `java.lang.String` | `getName()` Deprecated.
    `java.util.List<EffectConfig.NodeBean>` | `getNodeTree()`
    `long` | `getStartTime()` Deprecated.
    `int` | `hashCode()`
    `void` | `setDuration(long duration)` Deprecated.
    `void` | `setEffectConfig(EffectConfig effectConfig)`
    `void` | `setStartTime(long startTime)` Deprecated.
    `java.lang.String` | `toJsonString()`
    `java.lang.String` | `toString()`
    `TrackEffectFilter` | `toTrackEffectFilter()` Transform to `TrackEffectFilter` bean

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectFilter

          @Deprecated
          public EffectFilter(java.lang.String path)

      Deprecated. Replaced by `EffectFilter(Source)`.
      Creates an EffectFilter object.
      Parameters:
        `path` - The path of a filter resource.

    - #### EffectFilter

          public EffectFilter(Source source)

      Creates an EffectFilter object
      Parameters:
        `source` - The path of a filter resource.

  - ### Method Detail

    - #### getName

          @Deprecated
          public java.lang.String getName()

      Deprecated.
      Gets the name of a filter effect.
      Returns:
        The filter effect name.

    - #### getStartTime

          @Deprecated
          public long getStartTime()

      Deprecated.
      Gets the time when a filter effect appears. Unit: milliseconds. Deprecated, use `TrackEffectFilter` instead.
      Returns:

    - #### setStartTime

          @Deprecated
          public void setStartTime(long startTime)

      Deprecated.
      Sets the time when a filter effect appears. Deprecated, use `TrackEffectFilter` instead.
      Parameters:
        `startTime` - Unit: milliseconds.

    - #### getDuration

          @Deprecated
          public long getDuration()

      Deprecated.
      Gets the display duration of a filter effect.
      Returns:
        The display duration. Unit: milliseconds. Deprecated, use `TrackEffect` instead.

    - #### setDuration

          @Deprecated
          public void setDuration(long duration)

      Deprecated.
      Sets the display duration of a filter effect. Unit: milliseconds. Deprecated, use `TrackEffect` instead.
      Parameters:
        `duration` -

    - #### getNodeTree

          public java.util.List<EffectConfig.NodeBean> getNodeTree()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EffectBase`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

    - #### getEffectConfig

          public EffectConfig getEffectConfig()

    - #### toJsonString

          public java.lang.String toJsonString()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### copy

          public void copy(EffectBase base)

      Description copied from class: `EffectBase`
      Gets a copy of the parameters of an object.
      Overrides:
        `copy` in class `EffectBase`

    - #### toTrackEffectFilter

          public TrackEffectFilter toTrackEffectFilter()

      Transform to `TrackEffectFilter` bean

      Added in v3.27.0

      Returns:
      See Also:
        `TrackEffectFilter`